/* Importar Parcelas Temporales */
function importar_in_temp() {

    jQuery.ajax({
        type: "POST",
        url: "existe_colonia",
        data: {
            dpto: dpto,
            distrito: distrito,
            colonia: colonia,
            tabla: 'in_temp'
        },
        success: function(res) {
            if (res == 'SI') {
                alertify.alert('<h4>Las parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');

            } else {
                window.location.href = "appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
                //alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
            }
        }

    });
}

function exportar_in_temp() {

    jQuery.ajax({
        type: "POST",
        url: "existe_colonia",
        //dataType: 'json',
        data: {
            dpto: dpto,
            distrito: distrito,
            colonia: colonia,
            tabla: 'in_temp'
        },
        success: function(res) {
            if (res == 'SI') {
                window.location.href = "appurl:EPGc:/espacio_trabajo/exportarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia;
                alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> exportada con éxito!</h4>');

            } else {
                alertify.alert('<h4>No exiten parcelas de la colonia <b>' + col_desc + '</b></h4>');
            }
        }

    });
}

function generar_pericia() {
    var $i = 0;
    var $c = 0;
    jQuery.ajax({
        type: "GET",
        url: "obtener_parcelas/" + dpto + "/" + distrito + "/" + colonia,
        dataType: 'json',
        //data: {dpto: dpto, distrito: distrito, colonia: colonia},	
        error: function() {
            alert('Hubo un Error no se pudo generar las pericias!');
        },
        beforeSend: function() {
            $("#avance").html("Obteniendo datos Pericia, espere por favor...");
        },
        success: function(res) {
            var $cantidad = res.cantidad;
            var $cantper = res.cantper;

            if (($cantper === $cantidad) && ($cantper !== 0)) {
                alertify.alert('<h4>Ya se realizo la generacion de pericias para la colonia <b>' + col_desc + '</b> </h4>');
            } else {
                if (($cantper === $cantidad) && ($cantper === 0)) {
                    alertify.alert('<h4>No existen parcelas para la colonia <b>' + col_desc + '</b> Se debe importar! </h4>');
                } else {
                    $("#avance").html("Inicio de generación de pericias por parcela...");
                    $.each(res.data, function(index, value) {
                        $i = $i + 1;
                        var objectid = value['objectid'];
                        $.ajax({
                            url: 'generar_pericia/' + objectid,
                            //data : {objectid: objectid},
                            type: 'GET',
                            dataType: 'json',
                            success: function(res_pericia) {
                                $("#avance").html("parcela " + objectid + " En proceso");
                                /*
		        			$('<h1/>').text(json.title).appendTo('body');
		        			$('<div class="content"/>')
		            		.html(json.html).appendTo('body');
		            		*/
                            },
                            error: function(xhr, status) {
                                $("#avance").html("parcela " + objectid + " NO PROCESADA o con error!");
                            },
                            //complete : function(xhr, status) {
                            complete: function(xhr, status) {
                                $c = $c + 1;
                                $("#avance").html($c + " de " + $i + "  :: parcela: " + objectid + " Procesada");
                                if (($cantidad == $i) && ($cantidad == $c)) {
                                    alertify.alert('<h4><b>' + $c + '</b> parcelas procesadas de ' + $cantidad + ' </h4>' +
                                        '<h4><b> Generacion de pericias completa! </h4>');
                                }
                            }
                        });
                    });
                }
            }
        },
        complete: function(xhr, status) {}
    });
}

function eliminar_in_temp() {

    jQuery.ajax({
        type: "POST",
        url: "eliminar_parcelas",
        //dataType: 'json',
        data: {
            dpto: dpto,
            distrito: distrito,
            colonia: colonia
        },
        success: function(res) {
            if (res == 'SI') {
                alertify.alert('<h4>No existen parcelas de la colonia <b>' + col_desc + '</b></h4>');

            } else if (res == 'BORRADA') {
                alertify.alert('<h4>¡La colonia <b>' + col_desc + '</b> se ha eliminado con éxito!</h4>');
            }
        }

    });
}

function importar_pericia() {
    jQuery.ajax({
        type: "POST",
        url: "existe_colonia",
        data: {
            dpto: dpto,
            distrito: distrito,
            colonia: colonia
        },
        success: function(res) {
            if (res == 'SI') {
                alertify.alert('<h4>La parcelas para perica de la colonia <b>' + col_desc + '</b> ya existen</h4>');

            } else {
                window.location.href = "appurl:IPGc:/espacio_trabajo/importarpgrum.bat,archivo,indert,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
                //alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
            }
        }
    });

}

function eliminar_pericia() {

    jQuery.ajax({
        type: "POST",
        url: "eliminar_pericia",
        success: function(res) {
            alertify.alert('<h4>¡Pericia de la colonia <b>' + col_desc + '</b> eliminada correctamente!</h4>');
        }
    });
}

function limit_dig(id, max) {
    var val = $('#' + id).val().length;
    if (val > max) {
        $('#' + id).val(val_input_ant);
    } else {
        val_input_ant = $('#' + id).val();
    }
}

function tiene_salida(id) {


    var expediente = $('#' + id).attr('expediente');
    var gestion = $('#' + id).attr('gestion');

    jQuery.ajax({
        type: "POST",
        url: "/mopc_ide/expedientes/expedientes/tiene_salida",
        data: {
            expe_id: id
        },
        success: function(res) {
            console.log(res);
            if (res == 'SI') {
                alertify.alert('<h4>El expediente <b>Nro: ' + expediente + '</b>, <b>Gestion: ' + gestion + ' </b> ya tiene salida<b></h4>');
            } else {
                window.location.href = '/mopc_ide/expedientes/expedientes/edit_expe/' + id;
            }
        }

    });
}

function eliminar_expe(expe_id, exp, gest, secuencia) {

    alertify.confirm('¿Estás seguro/a de eliminar el expediente <b>' + exp + '</b> gestión <b>' + gest + '</b> secuencia <b>' + secuencia + '</b>?',
        function() {
            jQuery.ajax({
                type: "POST",
                url: "/mopc_ide/expedientes/expedientes/delete",
                data: {
                    expe_id: expe_id,
                    exp: exp,
                    gest: gest,
                    secuencia: secuencia
                },
                success: function(res) {
                    console.log(res);
                    if (res == 'SI') {
                        window.location.href = '/mopc_ide/expedientes/expedientes/index/';
                    }
                }

            });
        },
        function() {
            console.log(' no ok');
        });

}


function eliminar_proyecto(id_proyecto) {

    alertify.confirm('¿Estás seguro/a de eliminar el proyecto con ID= <b>' + id_proyecto + '</b>?',
        function() {
            jQuery.ajax({
                type: "POST",
                url: "/sge/proyectos/Proyectos/eliminar_proyecto",
                data: {
                    id_proyecto: id_proyecto
                },
                success: function(res) {
                    console.log(res);
                    if (res > 0) {
                        alert('El proyecto tiene expedientes!');
                        window.location.href = '/sge/proyectos/Proyectos/index/';
                    } else {
                        //alert('Se elimino el proyecto con ID= ' + id_proyecto);
                        window.location.href = '/sge/proyectos/Proyectos/index/';
                    }
                }

            });
        },
        function() {
            console.log(' no ok');
        });

}



function existe_grafico(id_expediente, gestion) {

    //console.log(id_expediente);
    //console.log(gestion);
    jQuery.ajax({
        type: "POST",
        url: "/mopc_ide/expedientes/expedientes/existe_grafico",
        //dataType: 'json',
        data: {
            id_expediente: id_expediente,
            gestion: gestion
        },
        success: function(res) {
            console.log(res);
            if (res == 0) {
                alertify.alert('<h4>No existen datos gráficos para este expediente</h4>');

            } else {
                window.location.href = '/mopc_ide/expedientes/expedientes/verparcela/' + id_expediente + '/' + gestion;
            }
        }

    });
}

function existe_grafico_expe_id(expe_id) {

    //console.log(expe_id);

    jQuery.ajax({
        type: "POST",
        url: "/mopc_ide/expedientes/expedientes/existe_grafico_expe_id",
        //dataType: 'json',
        data: {
            expe_id: expe_id
        },
        success: function(res) {
            console.log(res);
            if (res == 0) {
                alertify.alert('<h4>No existen datos gráficos para este expediente</h4>');

            } else {
                window.location.href = '/mopc_ide/expedientes/expedientes/verparcela_expe_id/' + expe_id;
            }
        }

    });
}

function existe_grafico_id_tramo(id_tramo) {

    //console.log(expe_id);

    jQuery.ajax({
        type: "POST",
        url: "/mopc_ide/expedientes/expedientes/existe_grafico_id_tramo",
        //dataType: 'json',
        data: {
            id_tramo: id_tramo
        },
        success: function(res) {
            console.log(res);
            if (res == 0) {
                alertify.alert('<h4>No existen datos gráficos para este expediente</h4>');

            } else {
                window.location.href = '/mopc_ide/expedientes/expedientes/verparcela_expe_id/' + id_tramo;
            }
        }

    });
}

function importar_shapes() {
    console.log('ENTRO');
    jQuery.ajax({
        type: "POST",
        url: "call_bat",
        //data: {dpto: dpto, distrito: distrito, colonia: colonia, tabla: 'in_temp'},
        success: function(res) {
            alertify.alert('<h4>¡Fincas de la colonia <b>' + col_desc + '</b> importadas correctamente!</h4>');
        }
    });
}

function registrar_exp() {
    console.log('ENTRO');

    var exp = $('#expe_id_expediente').val();
    var gest = $('#expe_gestion').val();
    var dep = $('#expe_id_dependencia').val();
    var expe_id = $('#expe_id').val();

    jQuery.ajax({
        type: "POST",
        url: "existe_exp_uk",
        data: {
            exp: exp,
            gest: gest,
            dep: dep,
            expe_id: expe_id
        },
        success: function(res) {
            if (res == 'SI') {

                alertify.confirm('¿Es reingreso?',
                    function() {
                        $('#expe_id_expediente_ref').val(exp);
                        $('#form-create_expediente').submit();
                    },
                    function() {
                        //window.location.href = '/mopc_ide/expedientes/expedientes/create';
                    });
            } else {
                $('#form-create_expediente').submit();
            }
        }
    });
}

function editable_grid(element) {

    //console.log($(this).children('td#SomeID').text());

    //console.log(texto_ini);

    //console.log("row" + element.parentNode.parentNode.rowIndex + 
    //" - column" + element.parentNode.cellIndex);

    //var texto_ini = $('td#'+tag.id).text();

    //console.log(texto_ini);

    //var text = $('td#'+tag.id).text(texto_ini);

    //console.log(text);

    /*var exp 	= $('#expe_id_expediente').val();
    var gest 	= $('#expe_gestion').val();

    jQuery.ajax({
    type: "POST",
    url: "existe_exp",
    data: {exp: exp, gest: gest},
    success: function(res) {
    	if (res == 'SI') {

    		alertify.confirm('¿Es reingreso?',
    								function(){
    											$('#expe_id_expediente_ref').val(exp);
    											$('#form-create_expediente').submit();
    										  },
    								function(){ 
    											window.location.href = '/mopc_ide/expedientes/expedientes/create';
    											});
    	}else{
    		$('#form-create_expediente').submit();
    	}
    }	
    });*/
}



function preparar_edicion(i_id_expediente, i_id_terreno, i_id, i_id_afecta, i_orden, i_coord_x, i_coord_y) {
    console.log('ENTRO');

    //var exp 	 = $('#expe_id_expediente').val();
    //var gest 	 = $('#expe_gestion').val();
    //var dep 	 = $('#expe_id_dependencia').val();
    //var expe_id  = $('#expe_id').val();

    //document.getElementById("txtCodigo").value=i_id_expediente;
    //document.getElementById("txtCodigo").value=i_id_terreno;
    //document.getElementById("txtCodigo").value=i_id;
    document.getElementById("coord_id_afecta").value = i_id_afecta;
    document.getElementById("coord_orden").value = i_orden;
    document.getElementById("coord_coord_x").value = i_coord_x;
    document.getElementById("coord_coord_y").value = i_coord_y;

}



$(document).ready(function () {
    /*
    $('#lista_departamento').change(function (event) {
        event.preventDefault();
        id_departamento = this.value;
        alert('dpto'+id_departamento)
        jQuery.ajax({ 
            type: "GET",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_provincias?id_departamento=" + id_departamento,
            data: {
                id_departamento: id_departamento
            },
            success: function (res) {
                alert('res');
                if (res) {
                    alert(res);
                    $("#lista_provincia").html(res);
                    $("select[id=gid]").selectpicker("refresh");
                }
            }
        });
    });
    */

    $('#lista_departamento').change(function (event) {
        //alert('Funcionaaaaaa');
        event.preventDefault();
        departamento = this.value;
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_provincias",
            data: {
                id_departamento: departamento
            },
            success: function (res) {
                
                if (res) {
                    //alert(res);
                    $("#lista_provincia").html(res);
                    $("select[name=lista_provincia]").selectpicker("refresh");
                    //alert();
                }
                //$("select[id=id_muni]").val('default');
                //$("select[id=id_muni]").selectpicker("refresh");
            }
        });
    });
   

    $('#lista_provincia').change(function (event) {
        //alert('Funciona');
        event.preventDefault();
        provincia = this.value;
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_municipios",
            data: {
                id_provincia: provincia
            },
            success: function(res) {
                if (res) {
                    //alert(res);
                    $("#lista_municipio").html(res);
                    $("select[name=lista_municipio]").selectpicker("refresh");
                }
            }

        });
        
    });

    $('#lista_municipio').change(function (event) {
        //alert('Funciona');
        event.preventDefault();
        municipio = this.value;
        console.log(municipio)
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_radios_urbanos",
            data: {
                id_muni: municipio
            },
            success: function(res) {
                if (res) {
                    //alert(res);
                    $("#lista_radio_urbano").html(res);
                    $("select[name=lista_radio_urbano]").selectpicker("refresh");
                }
            },
            error: function(res) {
                $("#lista_radio_urbano").html(" ");
                $("select[name=lista_radio_urbano]").selectpicker("refresh");
            }

        });
        
    });

    
    $('#lista_radio_urbano').change(function (event) {
        //alert('Funciona');
        event.preventDefault();
        radio_urbano = this.value;
        //console.log(radio_urbano)
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_distritos_catastrales",
            data: {
                id_ru: radio_urbano
            },
            success: function(res) {
                if (res) {
                    //alert(res);
                    $("#lista_distrito").html(res);
                    $("select[name=lista_distrito]").selectpicker("refresh");
                }
            },
            error: function(res) {
                $("#lista_distrito").html(" ");
                $("select[name=lista_distrito]").selectpicker("refresh");
            }
           

        });
        
    });
    
    $('#lista_distrito').change(function (event) {
        //alert('Funciona');
        event.preventDefault();
        distrito = this.value;
        //console.log(distrito)
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/ident_geo/traer_manzanas",
            data: {
                id_dist: distrito
            },
            success: function(res) {
                if (res) {
                    //alert(res);
                    $("#lista_manzana").html(res);
                    $("select[name=lista_manzana]").selectpicker("refresh");
                }
            },
            error: function(res) {
                $("#lista_manzana").html(" ");
                $("select[name=lista_manzana]").selectpicker("refresh");
            }
           

        });
        
    });


    $('#lista_tipo_via').change(function (event) {
        //alert('Funciona');
        event.preventDefault();
        tipo_via = this.value;
        //console.log(tipo_via)
        jQuery.ajax({
            type: "POST",
            url: "/jmap2/ficha_catastral/lotes/caract_terreno/traer_tipo_vias",
            data: {
                valor: tipo_via
            },
            success: function(res) {
                if (res) {
                    //alert(res);
                    $("#lista_tipo_via").html(res);
                    $("select[name=lista_tipo_via]").selectpicker("refresh");
                }
            },
            error: function(res) {
                $("#lista_tipo_via").html(" ");
                $("select[name=lista_tipo_via]").selectpicker("refresh");
            }
           

        });
        
    });
    
/*    if($('#Tab_Ubi').hasClass('active'))
            {
                var map = L.map("map", {
                    zoom: 15,
                    center: [-18.539414, -65.427680],
                    zoomControl: true,
                    attributionControl: false
                });
                L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png').addTo(map);
            
            
            }*/

      
    

    $('#addMII').click(function() {
        $('.dynamic_field').append('<div class="form-group">' +
            '<div class="col-sm-4"><input type="text" name="ubi_coordenada_x[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
            '<div class="col-sm-4"><input type="text" name="ubi_coordenada_y[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
            '<div class="col-sm-2"><i name="remove" class="fa fa-times btn_remover" style="font-size: 2em;"></i></div>' +
            '</div>');
    });

    $('#addMII2').click(function() {
        $('.dynamic_field').append('<div class="form-group">' +
            '<div class="col-sm-3"><input type="text" name="ubi_coordenada_x[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
            '<div class="col-sm-3"><input type="text" name="ubi_coordenada_y[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
            '<div class="col-sm-5"><input type="text" name="lindero[]" class="form-control" /></div>' +
            '<div class="col-sm-1"><i name="remove" class="fa fa-times btn_remover" style="font-size: 2em;"></i></div>' +
            '</div>');
    });

    $(document).on('click', '.btn_remover', function() {
        $(this).parent().parent().remove();
    });

    $('#id_tipo_afectacion').change(function(event) {
        var tipo = $(this).val();
        $('.requerido').remove();

        if (tipo == 2 || tipo == 3) {
            $('.dynamic_field').append('<div class="form-group requerido">' +
                '<div class="col-sm-4"><input type="text" name="ubi_coordenada_x[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
                '<div class="col-sm-4"><input type="text" name="ubi_coordenada_y[]" pattern="^\\s*-?[0-9]{1,7}\\s*(\\,\\d{0,5})?$"  class="form-control" required="true" /></div>' +
                '</div>');
        } else {
            $('.requerido').remove();
        }

    });

    $('#rangoFecha').daterangepicker({
        "locale": {
            "format": "DD/MM/YYYY",
            "separator": "--",
            "applyLabel": "Aplicar",
            "cancelLabel": "Cancelar",
            "fromLabel": "Desde",
            "toLabel": "Hasta",
            "customRangeLabel": "Custom",
            "weekLabel": "S",
            "daysOfWeek": [
                "D",
                "L",
                "M",
                "K",
                "J",
                "V",
                "S"
            ],
            "monthNames": [
                "Enero",
                "Febrero",
                "Marzo",
                "Abril",
                "Mayo",
                "Junio",
                "Julio",
                "Agosto",
                "Septiembre",
                "Octubre",
                "Noviembre",
                "Diciembre"
            ],
            "firstDay": 1
        },
        "linkedCalendars": false,
        "startDate": $('#fecha_inicio').val(),
        "endDate": $('#fecha_fin').val(),
        "minDate": $('#fecha_min').val(),
        "maxDate": $('#fecha_max').val(),
        "opens": "center",
        "showDropdowns": true,
        "autoApply": true
    }, function(start, end, label) {
        console.log('New date range selected: ' + start.format('YYYY-MM-DD') + ' to ' + end.format('YYYY-MM-DD') + ' (predefined range: ' + label + ')');
    });


    ////////// Prueba para Table Editable ////////
    $('table#tabla_expedientes').on('dblclick', 'td', function(e) {
        input_edit = $(this).attr('id');
        var clase = $(this).attr('class');

        if (clase == 'edit') {
            id = $(this).attr('id');

            val_ini = $(this).text();

            $(this).text('');
            $(this).append('<input type="hidden" id="' + id + '" class="form-control">');
            $('input#' + id).val(val_ini);
            $('input#' + id).attr('type', 'text').focus();
        } else {
            $('td#' + id).text('');
            $('td#' + id).text(val_ini);
        }

        /*$(this).siblings().each(function() {

        	var ide = $(this).attr('id');
        	
        	if ($('input#'+ide).attr('type') == 'text') {
        		$('input#'+ide).attr('type','hidden');
        	}
        });*/
    });

    //$( "#tabla_expedientes").on( "keydown", function( e ) {
    //	if (input_edit != null) {
    //		if ($('input#'+input_edit).focus()) {
    //			
    //		}
    //	}
    //});



    //////////////////////////////////////////////


    $('#boton_liberar').attr('disabled', 'disabled');

    $('#dptodistritocolonia').change(function() {

        if ($(this).val() != '') {

            $('#boton_liberar').removeAttr('disabled');

        }

    });

    $('#form-edit_expe').submit(function() {
        $("#expe_tipo_ref").prop('disabled', false);
        $("select[name=expe_tipo_ref]").selectpicker("refresh");
    });


    //tratamiento campo consultor de la pantalla expediente
    $("#expe_id_consultor").on('input', function() {
        var val = this.value;

        if (this.value.length == 0) {
            $("#expe_consultor_nom").val('');
        }

        if ($('#expe_id_consultor_list option').filter(function() {
                if (this.value === val) {
                    value = this.id;
                    return this.value === val;
                }
            }).length) {
            $("#expe_consultor_nom").val(value);
        }
    });

    //Pantalla expediente
    $('#id_departamento').change(function(event) {

        event.preventDefault();

        departamento = this.value;
        console.log('Dpto: ' + departamento);
        jQuery.ajax({
            type: "POST",
            url: "/sge/expedientes/expedientes/trae_distritos",
            data: {
                departamento: departamento
            },
            success: function(res) {
                if (res) {
                    $("#id_distrito").html(res);
                    $("select[id=id_distrito]").selectpicker("refresh");
                }
            }

        });
    });

    $('#id_proyecto').change(function(event) {
        event.preventDefault();
        proyecto = this.value;
        jQuery.ajax({
            type: "POST",
            url: "/sge/expedientes/expedientes/traer_tramos",
            data: {
                proyecto: proyecto
            },
            success: function(res) {
                if (res) {
                    $("#id_tramo").html(res);
                    $("select[id=id_tramo]").selectpicker("refresh");
                }
                $("select[id=id_subtramo]").val('default');
                $("select[id=id_subtramo]").selectpicker("refresh");
            }
        });
    });

    $('#rm1_id_proyecto').change(function(event) {
        event.preventDefault();
        proyecto = this.value;
        jQuery.ajax({
            type: "POST",
            url: "/sge/expedientes/expedientes/traer_tramos",
            data: {
                proyecto: proyecto
            },
            success: function(res) {
                if (res) {
                    $("#id_tramo").html(res);
                    $("select[id=id_tramo]").selectpicker("refresh");
                }
                $("select[id=id_subtramo]").val('default');
                $("select[id=id_subtramo]").selectpicker("refresh");
            }
        });
    });


    $('#id_tramo').change(function(event) {
        event.preventDefault();
        tramo = this.value;
        console.log('Tramo: ' + tramo);
        jQuery.ajax({
            type: "POST",
            url: "/sge/expedientes/expedientes/traer_subtramos",
            data: {
                tramo: tramo
            },
            success: function(res) {
                if (res) {
                    $("#id_subtramo").html(res);
                    $("select[id=id_subtramo]").selectpicker("refresh");
                }
            }

        });
    });

    $('#codigo').change(function(event) {
        verificarFormato(1);
    });

    $('#cedula_identidad').change(function(event) {
        verificarFormato(2);
    });

    $('#cta_cte_catastral').change(function(event) {
        verificarFormato(3);
    });

    $('#progresiva_inicial').change(function(event) {
        verificarFormato(4);
    });

    $('#progresiva_final').change(function(event) {
        verificarFormato(5);
    });

    function verificarFormato(n) {
        if (n == 1) {
            var input = $('#codigo').val();
            var regex = new RegExp('^\\w\\d{1,4}', 'g');

            if (input !== '') {
                if (!regex.test(input)) {
                    $('#codigo').val('');
                }
            }
        }
        if (n == 2) {
            var input = $('#cedula_identidad').val();
            var regex = new RegExp('^\\d+', 'g');

            if (input !== '') {
                if (!regex.test(input)) {
                    $('#cedula_identidad').val('');
                }
            }
        }
        if (n == 3) {
            var input = $('#cta_cte_catastral').val();
            var regex = new RegExp('^\\d{2}-\\d{4}-\\d{2}', 'g');

            if (input !== '') {
                if (!regex.test(input)) {
                    $('#cta_cte_catastral').val('');
                }
            }
        }
        if (n == 4) {
            var input = $('#progresiva_inicial').val();
            var regex = new RegExp('\\d+\\+\\d{3}', 'g');

            if (input !== '') {
                if (!regex.test(input)) {
                    $('#progresiva_inicial').val('');
                }
            }
        }
        if (n == 5) {
            var input = $('#progresiva_final').val();
            var regex = new RegExp('\\d+\\+\\d{3}', 'g');

            if (input !== '') {
                if (!regex.test(input)) {
                    $('#progresiva_final').val('');
                }
            }
        }
    }

    $('#ubi_superficie_afectacion').change(function(event) {
        calcularPorcentajeAfectacion();
    });

    $('#ubi_superficie_titulo').change(function(event) {
        calcularPorcentajeAfectacion();
    });

    function calcularPorcentajeAfectacion() {
        var afectada = $('#ubi_superficie_afectacion').val();
        var titulo = $('#ubi_superficie_titulo').val();
        var afectada_str = afectada.toString();
        var titulo_str = titulo.toString();
        var afec = parseFloat(afectada_str.replace(/,/g, '.'));
        var titu = parseFloat(titulo_str.replace(/,/g, '.'));

        if (titulo !== '' && afectada !== '') {
            var perc = ((afec / titu) * 100).toFixed(4);
            $('#ubi_porcentaje_afectacion').val(parseFloat(perc));
        } else if (titulo == '' && afectada !== '') {
            $('#ubi_porcentaje_afectacion').val(100);
        } else {
            $('#ubi_porcentaje_afectacion').val('');
        }
    }

    // $('.form-control.monto').change(function(event) {
    // 	calcularTotal(1);
    // });

    $('.form-control.monto').keyup(function(event) {
        if (event.keyCode !== 8 && event.keyCode !== 46) {
            calcularTotal(1);
        }
    });

    $('.form-control.monto2').keyup(function(event) {
        if (event.keyCode !== 8 && event.keyCode !== 46) {
            calcularTotal(2);
        }
    });

    $('.form-control.monto').change(function(event) {
        calcularTotal(1);
    });

    $('.form-control.monto2').change(function(event) {
        calcularTotal(2);
    });

    function calcularTotal(num) {
        if (num == 1) {
            var arr = document.getElementsByClassName('form-control monto');

            var tot = 0;
            var mej = 0;
            for (var i = 0; i < arr.length; i++) {
                arep = numeral(arr[i].value);
                if (arep.value()) {
                    numero = arep.value();
                    moneda = numeral(numero).format('0,0[.]');
                    if (moneda != 0) {
                        document.getElementById(arr[i].id).value = moneda;
                    }

                    tot += numero;
                    if (arr[i].name == "dao_mejoras_edilicias" || arr[i].name == "dao_mejoras_agroforestales") {
                        mej += numero;
                    }
                } else {
                    document.getElementById(arr[i].id).value = null;
                }

            }

            tot1 = numeral(mej).format('0,0[.]');
            tot2 = numeral(tot).format('0,0[.]');
            if (tot1 == 0) {
                tot1 = "";
            }
            if (tot2 == 0) {
                tot2 = "";
            }

            document.getElementById('dao_total_mejoras').value = tot1;
            document.getElementById('dao_total_notificacion').value = tot2;

        } else {
            var arr = document.getElementsByClassName('form-control monto2');

            var tot = 0;
            var mej = 0;
            for (var i = 0; i < arr.length; i++) {
                arep = numeral(arr[i].value);
                if (arep.value()) {
                    numero = arep.value();
                    moneda = numeral(numero).format('0,0[.]');
                    if (moneda != 0) {
                        document.getElementById(arr[i].id).value = moneda;
                    }

                    tot += numero;
                    if (arr[i].name == "dao_mejoras_edilicias2" || arr[i].name == "dao_mejoras_agroforestales2") {
                        mej += numero;
                    }
                } else {
                    document.getElementById(arr[i].id).value = null;
                }
            }

            tot1 = numeral(mej).format('0,0[.]');
            tot2 = numeral(tot).format('0,0[.]');
            if (tot1 == 0) {
                tot1 = "";
            }
            if (tot2 == 0) {
                tot2 = "";
            }

            document.getElementById('dao_total_mejoras2').value = tot1;
            document.getElementById('dao_total_notificacion2').value = tot2;
        }

    }

    $("#word-export").click(function(event) {
        var codigo = document.getElementById('codigo_unico');
        var area = document.getElementById('area');
        $("#export-content").wordExport("Observaciones " + area['value'] + " " + codigo['value']);
    });


    var rad1 = document.formSegDAO.dao_indemnizacion_escogida;
    var rad2 = document.formSegDAO.dao_aplica_conformidad;

    for (var i = 0; i < rad1.length; i++) {


        rad1[i].addEventListener('change', function() {

            calcularTotalConformidad(rad1['value'], rad2['value']);
        });

    }

    for (var i = 0; i < rad2.length; i++) {


        rad2[i].addEventListener('change', function() {

            calcularTotalConformidad(rad1['value'], rad2['value']);
        });

    }

    var rad3 = document.formSegDAO.dao_aplica_conformidad_ocupante;

    for (var i = 0; i < rad3.length; i++) {


        rad3[i].addEventListener('change', function() {
            var issetDinamico = $('.dinamico').attr('value');
            if (this.value && !issetDinamico) {
                $('.dynamic_group').append('<div class="form-group dinamico" value="1"><textarea type="text" name="dao_observacion_ocupante" id="dao_observacion_ocupante" class="form-control textarea" /></textarea></div>');
            } 

            if (!this.value) {
                $('.dinamico').remove();
            }
        
        });

    }
        

    function calcularTotalConformidad(opcion, aplicaConformidad) {
        var notificacion1 = numeral($('#dao_total_notificacion').val());
        var notificacion2 = numeral($('#dao_total_notificacion2').val());

        var total = 0;

        if (opcion == '1') {
            if (notificacion1['_input']) {
                if (aplicaConformidad == 'SI')
                    total = Math.round(notificacion1['_value'] * 1.1);
                if (aplicaConformidad == 'NO')
                    total = notificacion1['_value'];
            }
        } else if (opcion == '2') {
            if (notificacion2['_input']) {
                if (aplicaConformidad == 'SI')
                    total = Math.round(notificacion2['_value'] * 1.1);
                if (aplicaConformidad == 'NO')
                    total = notificacion2['_value'];
            }
        }

        if (total !== 0) {
            $('#dao_total_conformidad').val(numeral(total).format('0,0[.]'));
        } else {
            $('#dao_total_conformidad').val('');
        }

    }

    $('#expe_id_expediente_ref').change(function(event) {

        event.preventDefault();

        expe_id_expediente_ref = this.value;
        console.log('Expe: ' + expe_id_expediente_ref);
        jQuery.ajax({
            type: "POST",
            url: "/mopc_ide/expedientes/expedientes/trae_expe_ref",
            data: {
                expe_id_expediente_ref: expe_id_expediente_ref
            },
            success: function(res) {
                if (res) {
                    $("#expe_id_ref").html(res);
                    $("select[name=expe_id_ref]").selectpicker("refresh");
                }
            }

        });
    });



    $('.boton').click(function() {
        var valores = "";

        // Obtenemos todos los valores contenidos en los <td> de la fila
        // seleccionada
        $(this).parents("tr").find(".dpto").each(function() {
            dpto = $(this).html();
        });
        $(this).parents("tr").find(".distrito").each(function() {
            distrito = $(this).html();
        });
        $(this).parents("tr").find(".colonia").each(function() {
            colonia = $(this).html();
        });
        $(this).parents("tr").find(".col_desc").each(function() {
            col_desc = $(this).html();
        });

        $(".acciones_cabecera").empty();
        $(".acciones_cuerpo").empty();
        // Show Entered Value

        /* Vamos agregando a nuestra tabla las filas necesarias */
        $(".acciones_cabecera").append("<tr>" +
            "<th>Dpto.</th>" +
            "<th>Distrito</th>" +
            "<th>Colonia</th>" +
            "<th>Descripción</th>" +
            "<th>Parcelas Temp.</th>" +
            "<th>Pericia</th>" +
            "<th>Percelas Proc.</th>" +
            "<th>Mapas</th>" +
            "</tr>").fadeIn();

        $(".acciones_cuerpo").append("<tr>" +
            "<td class='dpto'>" + dpto +
            "</td><td class='distrito'>" + distrito +
            "</td><td class='colonia'>" + colonia + "</td>" +
            "</td><td>" + col_desc + "</td>" +

            "</td><td id='newTable' class='col-sm-2'>" +
            "<a onclick='importar_in_temp()' >" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

            "<a onclick='exportar_in_temp()'>" +
            "<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i></a>" +

            "<a onclick='eliminar_in_temp()'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i></a>" +

            "</td>" +

            "</td><td class='col-sm-2'>" +
            "<a onclick='generar_pericia()'>" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>Generar Pericias</i>" +

            "<a href='generar_excel_pericia/" + dpto + "/" + distrito + "/" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-blue color-palette'>Imprimir Pericias</i>" +

            "<a href='generar_excel_pericia_res/" + dpto + "/" + distrito + "/" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>Imprimir Pericias Resumido</i>" +


            "</a></td>" +

            "</td><td class='col-sm-2'>" +
            "<a href='appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc + "'>" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

            "<a href='appurl:EPGc:/espacio_trabajo/exportarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "'>" +
            "<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i>" +

            "<a href=''>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i>" +

            "</a></td>" +

            "</td><td class='col-sm-2'>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_4_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_4_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>A3: 4 Colores</i>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_5_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_5_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-olive color-palette'>A3: 5 Colores</i>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A0_mapa_catastral.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A0_mapa_catastral.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>A0: Mapa Catastral</i>" +

            "</a></td>" +


            "</tr>").fadeIn();



        $(".acciones_g_cabecera").empty();
        $(".acciones_g_cuerpo").empty();
        // Show Entered Value

        /* Vamos agregando a nuestra tabla las filas necesarias */
        $(".acciones_g_cabecera").append("<tr>" +
            "<th>Dpto.</th>" +
            "<th>Distrito</th>" +
            "<th>Colonia</th>" +
            "<th>Descripción</th>" +
            "<th>Parcelas Temp.</th>" +
            "<th>Pericia</th>" +
            //"<th>Percelas Proc.</th>" +
            "<th>Mapas</th>" +
            "</tr>").fadeIn();

        $(".acciones_g_cuerpo").append("<tr>" +
            "<td class='dpto'>" + dpto +
            "</td><td class='distrito'>" + distrito +
            "</td><td class='colonia'>" + colonia + "</td>" +
            "</td><td>" + col_desc + "</td>" +

            "</td><td id='newTable' class='col-sm-2'>" +
            "<a onclick='importar_in_temp()' >" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

            "<a onclick='exportar_in_temp()'>" +
            "<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i></a>" +

            "<a onclick='eliminar_in_temp()'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i></a>" +

            "</td>" +

            "</td><td class='col-sm-2'>" +
            "<a onclick='generar_pericia()'>" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>Generar Pericias</i>" +

            "<a href='generar_excel_pericia/" + dpto + "/" + distrito + "/" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-blue color-palette'>Imprimir Pericias</i>" +

            "<a href='generar_excel_pericia_res/" + dpto + "/" + distrito + "/" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>Imprimir Pericias Resumido</i>" +


            "</a></td>" +

            "</td><td class='col-sm-2'>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_4_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_4_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-aqua color-palette'>A3: 4 Colores</i>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_5_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_5_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-olive color-palette'>A3: 5 Colores</i>" +

            "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A0_mapa_catastral.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A0_mapa_catastral.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
            "<i class='fa btn btn-xs bg-yellow color-palette'>A0: Mapa Catastral</i>" +

            "</a></td>" +


            "</tr>").fadeIn();



    })

})


$(window).load(function() {
    var codigo = document.getElementById('botonCodigo');
    if (codigo) {
        codigo.click();
    }
});

$('#myModal').on('shown.bs.modal', function() {
    $('#myModal').focus();
});

$(document).keypress(function(e) {
    if (e.which == 13) {
        $('#form_geocolonia').submit();
    }
});

$(document).on('keydown', 'input[pattern]', function(e) {
    var input = $(this);
    var oldVal = input.val();
    var regex = new RegExp(input.attr('pattern'), 'g');

    setTimeout(function() {
        var newVal = input.val();
        if (newVal !== '') {
            if (!regex.test(newVal)) {
                input.val(oldVal);
            }
        }
    }, 0);
});

$(document).keypress(function(e) {
    if (e.which == 13) {
        $('#form_geocolonia').submit();
    }
});

//función que crea el modal (html está en el index de in_temp)
/*function iframeModalOpen(){

		// impostiamo gli attributi da aggiungere all'iframe es: data-src andrà ad impostare l'url dell'iframe
		$('.modalButton').on('click', function(e) {
			var src = $(this).attr('data-src');
			//var width = $(this).attr('data-width') || 640; // larghezza dell'iframe se non impostato usa 640
			//var height = $(this).attr('data-height') || 360; // altezza dell'iframe se non impostato usa 360

			var allowfullscreen = $(this).attr('data-video-fullscreen'); // impostiamo sul bottone l'attributo allowfullscreen se è un video per permettere di passare alla modalità tutto schermo
			
			// stampiamo i nostri dati nell'iframe
			$("#myModal iframe").attr({
				'src': src,
				'height': 800,
				'width': 800,
				'allowfullscreen':''
			});
		});

		// se si chiude la modale resettiamo i dati dell'iframe per impedire ad un video di continuare a riprodursi anche quando la modale è chiusa
		$('#myModal').on('hidden.bs.modal', function(){
			$(this).find('iframe').html("");
			$(this).find('iframe').attr("src", "");
		});
	}*/

/*
function barra de progreso (){
	baseUrl = "";
      var ajax_load = "<div class='progress'>" + "<div id='progress_id' class='progress-bar progress-bar-striped active' " +

          "role='progressbar' aria-valuenow='0' aria-valuemin='0' aria-valuemax='100' style='width: 0%'>" +

          "n/100</div></div>";

	$("#menu_navegacion_inicio").on("click", function(ev) {
        // estas dos lineas no cambian
        ev.preventDefault();
        var href = $(this).attr('href');

        // sustituir el contenido de subpagina con el mensaje de carga       
        $("#subpagina").html(ajax_load);

        // hacer llamada ajax al href
        $.ajax({
          url: "eliminar_parcelas",
          data: {dpto: dpto, distrito: distrito, colonia: colonia},
          // cuando se completa la petición
          success: function(codigo){
            // rellenar la subpagina con el HTML obtenido
            $("#subpagina").html("COMPLETADO!");
            alertify.alert('<h4>La parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');
          },
          // modificar el valor de xhr a nuestro gusto
          xhr: function(){
            // obtener el objeto XmlHttpRequest nativo
            var xhr = $.ajaxSettings.xhr() ;
            // añadirle un controlador para el evento onprogress
            xhr.onprogress = function(evt){ 
              // calculamos el porcentaje y nos quedamos sólo con la parte entera
              var porcentaje = Math.floor((evt.loaded/evt.total*100));
              // actualizamos el texto con el porcentaje mostrado
              $("#progress_id").text(porcentaje + "/100");
              // actualizamos la cantidad avanzada en la barra de progreso
              $("#progress_id").attr("aria-valuenow", porcentaje); 
              $("#progress_id").css("width", porcentaje + "%"); 
            };
            // devolvemos el objeto xhr modificado
            return xhr ;
          }
        });
      });

	//jQuery.ajax({
	//type: "POST",
	//url: "existe_colonia",
	//data: {dpto: dpto, distrito: distrito, colonia: colonia},
	//success: function(res) {
	//	if (res == 'SI')
	//	{
	//		alertify.alert('<h4>La parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');
	//		
	//	}else{
	//		window.location.href = "appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
	//		//alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
	//	}
	//}
	//
	//});
}*/